karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: On Karaf 2.3.x, stay with Spring 3.2.5.RELEASE
Date Tue, 25 Mar 2014 11:33:49 GMT
I disagree, as it's not the same bundles, so it could be disturbing for 
the users.

The symbolic name and version are different, as it's two different 
bundle sources.

Regards
JB

On 03/25/2014 12:29 PM, Daniel Kulp wrote:
>
> On Mar 25, 2014, at 5:59 AM, Jean-Baptiste Onofré <jb@nanthrax.net> wrote:
>
>> Hi all,
>>
>> FYI, on Karaf 2.3.x branch, we upgraded to Spring 3.2.8.RELEASE using the ServiceMix
bundles. This change breaks CXF as CXF uses Require-Bundle with Spring bundle symbolic name.
>
> Would that be considered a bug in the ServiceMix spring bundles that they don’t use
the same symbolic names as the original making them incompatible?   I would suggest updating
the symbolic names in the spring bundles there.
>
>
> Dan
>
>
>
>>
>> In order to be backward compatible on a minor release, I will revert the usage of
ServiceMix bundles for Spring 3.2.x. It means that Karaf will stay with Spring 3.2.6.RELEASE
(latest one available on Spring EBR).
>>
>> No objection ?
>>
>> Regards
>> JB
>> --
>> Jean-Baptiste Onofré
>> jbonofre@apache.org
>> http://blog.nanthrax.net
>> Talend - http://www.talend.com
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message